
package de.ivu.elect.presentation.wahlvorschlagsperson.menu;

import de.ivu.elect.business.wahlvorschlagsperson.entity.WahlvorschlagsPersonTyp;
import de.ivu.elect.presentation.wahlvorschlagsperson.AufstellungsversammlungMitunterzeichnerPersonenregisterPersonendatenSelectionView;

public class AufstellungsversammlungMitunterzeichnerCreateMenuItemEntry extends AbstractWahlvorschlagsPersonCreateMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public AufstellungsversammlungMitunterzeichnerCreateMenuItemEntry() {
    super();
  }

  @Override
  protected WahlvorschlagsPersonTyp getWahlvorschlagsPersonTyp() {
    return WahlvorschlagsPersonTyp.AUFSTELLUNGSVERSAMMLUNG_MITUNTERZEICHNER;
  }

  @Override
  public String getTargetViewId() {
    return AufstellungsversammlungMitunterzeichnerPersonenregisterPersonendatenSelectionView.VIEW_ID;
  }
}
